/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package jpa.entities;

import java.io.Serializable;
import java.util.Collection;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author Cris
 */
@Entity
@Table(name = "peliculas")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Peliculas.findAll", query = "SELECT p FROM Peliculas p")
    , @NamedQuery(name = "Peliculas.findByIdpelicula", query = "SELECT p FROM Peliculas p WHERE p.idpelicula = :idpelicula")
    , @NamedQuery(name = "Peliculas.findByNombre", query = "SELECT p FROM Peliculas p WHERE p.nombre = :nombre")
    , @NamedQuery(name = "Peliculas.findByDuracionMinutos", query = "SELECT p FROM Peliculas p WHERE p.duracionMinutos = :duracionMinutos")
    , @NamedQuery(name = "Peliculas.findByEstreno", query = "SELECT p FROM Peliculas p WHERE p.estreno = :estreno")
    , @NamedQuery(name = "Peliculas.findByEnCartelera", query = "SELECT p FROM Peliculas p WHERE p.enCartelera = :enCartelera")})
public class Peliculas implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "idpelicula")
    private Integer idpelicula;
    @Size(max = 50)
    @Column(name = "nombre")
    private String nombre;
    @Column(name = "duracion_minutos")
    private Integer duracionMinutos;
    @Column(name = "estreno")
    @Temporal(TemporalType.DATE)
    private Date estreno;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "enCartelera")
    private String enCartelera;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "idpelicula")
    private Collection<Proyecciones> proyeccionesCollection;

    public Peliculas() {
    }

    public Peliculas(Integer idpelicula) {
        this.idpelicula = idpelicula;
    }

    public Peliculas(Integer idpelicula, String enCartelera) {
        this.idpelicula = idpelicula;
        this.enCartelera = enCartelera;
    }

    public Integer getIdpelicula() {
        return idpelicula;
    }

    public void setIdpelicula(Integer idpelicula) {
        this.idpelicula = idpelicula;
    }

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public Integer getDuracionMinutos() {
        return duracionMinutos;
    }

    public void setDuracionMinutos(Integer duracionMinutos) {
        this.duracionMinutos = duracionMinutos;
    }

    public Date getEstreno() {
        return estreno;
    }

    public void setEstreno(Date estreno) {
        this.estreno = estreno;
    }

    public String getEnCartelera() {
        return enCartelera;
    }

    public void setEnCartelera(String enCartelera) {
        this.enCartelera = enCartelera;
    }

    @XmlTransient
    public Collection<Proyecciones> getProyeccionesCollection() {
        return proyeccionesCollection;
    }

    public void setProyeccionesCollection(Collection<Proyecciones> proyeccionesCollection) {
        this.proyeccionesCollection = proyeccionesCollection;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (idpelicula != null ? idpelicula.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Peliculas)) {
            return false;
        }
        Peliculas other = (Peliculas) object;
        if ((this.idpelicula == null && other.idpelicula != null) || (this.idpelicula != null && !this.idpelicula.equals(other.idpelicula))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "jpa.entities.Peliculas[ idpelicula=" + idpelicula + " ]";
    }
    
}
