/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package jpa.session;

import java.sql.Date;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import jpa.entities.Peliculas;

/**
 *
 * @author Cris
 */
@Stateless
public class PeliculasFacade extends AbstractFacade<Peliculas> {

    @PersistenceContext(unitName = "AdminTFGCinePU")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public PeliculasFacade() {
        super(Peliculas.class);
    }
    
    
    public void InsertarPelicula(String nombrepelicula, int duracionpelicula, String estreno, String enCartelera){
        String INSERT_SQL = "INSERT INTO peliculas (NOMBRE, DURACION_MINUTOS, ESTRENO, ENCARTELERA) VALUES (?, ?, ?, ?)";
        em.createNativeQuery(INSERT_SQL).setParameter(1, nombrepelicula).setParameter(2, duracionpelicula).setParameter(3, estreno).setParameter(4, enCartelera).executeUpdate();
    }
    
    
    public void ModificarCartelera(int enCartelera){
        String UPDATE_SQL = "UPDATE peliculas SET enCartelera = 'SI' WHERE idpelicula = ?;";
        em.createNativeQuery(UPDATE_SQL).setParameter(1, enCartelera).executeUpdate();
    }
    
    public void EliminarPeli(int idpelicula){
        String UPDATE_SQL = "DELETE FROM peliculas WHERE idpelicula=?;";
        em.createNativeQuery(UPDATE_SQL).setParameter(1, idpelicula).executeUpdate();
    }
    
}
